#ifndef TYPES_H
#define TYPES_H

typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned int dword;
typedef unsigned long long qword;

typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long uint64_t;

typedef signed char int8_t;
typedef signed short int16_t;
typedef signed int int32_t;
typedef signed long long int64_t;

typedef uint32_t uintptr_t;
typedef int32_t intptr_t;
typedef intptr_t ptrdiff_t;

typedef uint32_t size_t;

#ifndef __cplusplus
typedef int bool;
#define false 0
#define true 1
#endif // __cplusplus

#endif // TYPES_H

