#include <idt.h>
#include <types.h>
#include <vm86.h>

int kmain(void *multibootInfo)
{
    idtInitialize();
    vm86Initialize();
    word mode = 0x105;
    VM86Regs regs = { .AX = 0x4F02, .BX = mode };
    vm86Int(0x10, &regs);
    byte *vesaInfo = (byte *)0x10000;
    regs.AX = 0x4F01; regs.CX = mode;
    regs.ES = ((uintptr_t)vesaInfo) >> 4;
    regs.DI = ((uintptr_t)vesaInfo) & 0xF;
    vm86Int(0x10, &regs);

    byte *fb = (byte *)*((dword *)(vesaInfo + 0x28));

    for(int t = 0;; ++t)
    {
        for(int y = 0; y < 768; ++y)
        {
            for(int x = 0; x < 1024; ++x)
                fb[y * 1024 + x] = x +  t ^ y + t / 3;
        }
    }

    return 0xD007D007;
}

